### Property

# WebKit WebsiteDataManager:origin-storage-ratio

since: 2.42

#### Declaration

    property origin-storage-ratio: double [ write, construct-only ]

#### Description [src]

The percentage of volume space that can be used for data storage for every domain. If the maximum storage is reached the storage request will fail with a QuotaExceededError exception. A value of 0.0 means that data storage is not allowed. A value of -1.0, which is the default, means WebKit will use the default quota (1 GiB).

Type: | `gdouble`
Available since: | 2.42

Default value | -1.000000

#### Flags

Readable | no
Writable | yes
Construct | no
Construct only | yes